Supported Environments

Software AG provides Natural support for the versions of the operating systems, TP monitors, database management systems and assemblers supported by their respective manufacturers. In general, when the provider of an operating system, TP monitor, database management system or assembler stops supporting a version of an operating system, TP monitor, database management system or assembler, Software AG will stop supporting that version of the operating system, TP monitor, database management system or assembler.

Note:
For information regarding Software AG product compatibility with IBM platforms and any IBM requirements for Software AG products, please review the Product Compatibility for IBM Platforms web page at http://www.softwareag.com/.


Operating Systems

Software AG provides Natural support for the operating systems and versions listed in the Product Version Availability section of the Software AG Empower website at https://empower.softwareag.com/ (see also Product Availability and End of Maintenance).

TP Monitors/Online Interfaces

Natural Version 9.1.1 supports the versions of the TP monitors/online interfaces listed below:

Product Version
Com-plete See Software AG Product Versions Supported by Natural.
CICS TS for z/OS 5.1, 5.2, 5.3, 5.4, 5.5
CICS TS for VSE/ESA 1.1., 2.1
IMS TM 13.1, 14.1, 15.1
openUTM 6.1, 6.2, 6.3, 6.4
TIAM 13.1, 13.2

Database Management Systems

Natural Version 9.1.1 supports the versions of the database management systems listed below:

Product Version
Adabas See Software AG Product Versions Supported by Natural.
DB2 for z/OS 11.1, 12.1
DB2 Server for VSE & VM 7.3, 7.4, 7.5
DL/I As delivered with the TP monitor IMS TM
VSAM As delivered with the operating system
DFSMStvs As delivered for the respective VSAM version if transactional VSAM is to be used with Natural for VSAM

Authorized Services Manager and Roll Server

The Authorized Services Manager (NATASM91) and the Natural Roll Server (NATRSM91) supplied with Natural Version 9.1.1 employ machine instructions from the IBM General Instructions Extension Facility. They will not execute successfully on machines for which IBM does not supply this extension facility.

Assemblers

Natural Version 9.1.1 requires the following assembler for the assembly of its source modules on z/OS:

  • "HL" Assembler Version 1.6

Natural Version 9.1.1 requires one of the following assemblers for the assembly of its source modules:

  • "HL" Assembler Version 1.6 (z/OS and z/VSE operating systems),

  • "Assembh" Assembler (BS2000 operating systems).

Note:
It may be possible to assemble source modules with older assemblers; however, Software AG cannot guarantee this.